/*************************************************************************

"FreePastry" Peer-to-Peer Application Development Substrate 

Copyright 2002, Rice University. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

- Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

- Neither  the name  of Rice  University (RICE) nor  the names  of its
contributors may be  used to endorse or promote  products derived from
this software without specific prior written permission.

This software is provided by RICE and the contributors on an "as is"
basis, without any representations or warranties of any kind, express
or implied including, but not limited to, representations or
warranties of non-infringement, merchantability or fitness for a
particular purpose. In no event shall RICE or contributors be liable
for any direct, indirect, incidental, special, exemplary, or
consequential damages (including, but not limited to, procurement of
substitute goods or services; loss of use, data, or profits; or
business interruption) however caused and on any theory of liability,
whether in contract, strict liability, or tort (including negligence
or otherwise) arising in any way out of the use of this software, even
if advised of the possibility of such damage.

********************************************************************************/
/*
 * Created on Jun 8, 2006
 */
package rice.pastry.socket.nat;

import java.io.IOException;
import java.net.InetAddress;

import rice.environment.Environment;

public class StubNATHandler implements NATHandler {

  String errorString = "Stub implementation.  Plese refer to http://freepastry.org/FreePastry/nat.html to configure FreePastry for your environment.";
//  String errorString = "Stub implementation.  You should use a real implementation such as rice.pastry.socket.nat.sbbi.SBBINatHandler.  You can do this by setting \"nat_handler_class = rice.pastry.socket.nat.sbbi.SBBINatHandler\" in the params file, or disable firewall checking by setting \"nat_search_policy\" = \"never\".";
  
  public StubNATHandler(Environment environment, InetAddress address) {
    // TODO Auto-generated constructor stub
  }

  public InetAddress getFireWallExternalAddress() {
    return null;
  }

  public InetAddress findFireWall(InetAddress bindAddress) throws IOException {
    throw new IOException(errorString);
  }

  public int findAvailableFireWallPort(int internal, int external, int tries, String appName) throws IOException {
    throw new IOException(errorString);
  }

  public void openFireWallPort(int local, int external, String appName) throws IOException {
    throw new IOException(errorString);
  }
}
